Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# reddit.multireddit

class praw.models.MultiredditHelper(reddit: praw.Reddit, _data: Optional[Dict[str, Any]])

  Provide a set of functions to interact with multireddits.

  __call__(*, name: str, redditor: Union[str, praw.models.Redditor]) → praw.models.Multireddit

    Return a lazy instance of `Multireddit`.

    Parameters:

      - name – The name of the multireddit.

      - redditor – A redditor name or `Redditor` instance who owns the multireddit.

  __init__(reddit: praw.Reddit, _data: Optional[Dict[str, Any]])

    Initialize a `PRAWBase` instance.

    Parameters:

      reddit – An instance of `Reddit`.

  create(*, description_md: Optional[str] = None, display_name: str, icon_name: Optional[str] = None, key_color: Optional[str] = None, subreddits: Union[str, praw.models.Subreddit], visibility: str = 'private', weighting_scheme: str = 'classic') → praw.models.Multireddit

    Create a new `Multireddit`.

    Parameters:

      - display_name – The display name for the new multireddit.

      - subreddits – Subreddits to add to the new multireddit. Can be a list of either `Subreddit` instances or subreddit display names.

      - description_md – Description for the new multireddit, formatted in markdown.

      - icon_name – Can be one of: `"art and design"`, `"ask"`, `"books"`, `"business"`, `"cars"`, `"comics"`, `"cute animals"`, `"diy"`, `"entertainment"`, `"food and drink"`, `"funny"`, `"games"`, `"grooming"`, `"health"`, `"life advice"`, `"military"`, `"models pinup"`, `"music"`, `"news"`, `"philosophy"`, `"pictures and gifs"`, `"science"`, `"shopping"`, `"sports"`, `"style"`, `"tech"`, `"travel"`, `"unusual stories"`, `"video"`, or `None`.

      - key_color – RGB hex color code of the form `"#FFFFFF"`.

      - visibility – Can be one of: `"hidden"`, `"private"`, or `"public"` (default: `"private"`).

      - weighting_scheme – Can be one of: `"classic"` or `"fresh"` (default: `"classic"`).

    Returns:

      The new `Multireddit` object.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.